<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: I2C Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">I2C Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d6/d94/group___n_a_n_o1_x2___i2_c___driver.html">I2C Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for I2C Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ad9_2d21_2group______n__a__n__o1__x2______i2__c______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">I2C Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga971d21035ba4ae2ef8287ed2a8c5f730"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga971d21035ba4ae2ef8287ed2a8c5f730">I2C_STA</a>&#160;&#160;&#160;0x08</td></tr>
<tr class="separator:ga971d21035ba4ae2ef8287ed2a8c5f730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ec29c2b8a3f118cd6a4ad5b7b89be81"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ec29c2b8a3f118cd6a4ad5b7b89be81">I2C_STO</a>&#160;&#160;&#160;0x04</td></tr>
<tr class="separator:ga3ec29c2b8a3f118cd6a4ad5b7b89be81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga086ce98cdfb4f65742d3eec098d3e273"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga086ce98cdfb4f65742d3eec098d3e273">I2C_SI</a>&#160;&#160;&#160;0x10</td></tr>
<tr class="separator:ga086ce98cdfb4f65742d3eec098d3e273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a6f5731d5e5e7b21e5c01881d62a1b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a6f5731d5e5e7b21e5c01881d62a1b9">I2C_AA</a>&#160;&#160;&#160;0x02</td></tr>
<tr class="separator:ga3a6f5731d5e5e7b21e5c01881d62a1b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga032982f18bb75c985d03f28bf99a7bff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga032982f18bb75c985d03f28bf99a7bff">I2C_GCMODE_ENABLE</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga032982f18bb75c985d03f28bf99a7bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa15690304de24671da7e5282797bd31a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa15690304de24671da7e5282797bd31a">I2C_GCMODE_DISABLE</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:gaa15690304de24671da7e5282797bd31a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga3a6f5731d5e5e7b21e5c01881d62a1b9" name="ga3a6f5731d5e5e7b21e5c01881d62a1b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3a6f5731d5e5e7b21e5c01881d62a1b9">&#9670;&nbsp;</a></span>I2C_AA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_AA&#160;&#160;&#160;0x02</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >I2C ACK bit value </p>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00036">36</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gaa15690304de24671da7e5282797bd31a" name="gaa15690304de24671da7e5282797bd31a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa15690304de24671da7e5282797bd31a">&#9670;&nbsp;</a></span>I2C_GCMODE_DISABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GCMODE_DISABLE&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Disable I2C GC Mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00039">39</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga032982f18bb75c985d03f28bf99a7bff" name="ga032982f18bb75c985d03f28bf99a7bff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga032982f18bb75c985d03f28bf99a7bff">&#9670;&nbsp;</a></span>I2C_GCMODE_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GCMODE_ENABLE&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Enable I2C GC Mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00038">38</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga086ce98cdfb4f65742d3eec098d3e273" name="ga086ce98cdfb4f65742d3eec098d3e273"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga086ce98cdfb4f65742d3eec098d3e273">&#9670;&nbsp;</a></span>I2C_SI</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_SI&#160;&#160;&#160;0x10</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >I2C SI bit value </p>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00035">35</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga971d21035ba4ae2ef8287ed2a8c5f730" name="ga971d21035ba4ae2ef8287ed2a8c5f730"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga971d21035ba4ae2ef8287ed2a8c5f730">&#9670;&nbsp;</a></span>I2C_STA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_STA&#160;&#160;&#160;0x08</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >I2C START bit value </p>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00033">33</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga3ec29c2b8a3f118cd6a4ad5b7b89be81" name="ga3ec29c2b8a3f118cd6a4ad5b7b89be81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3ec29c2b8a3f118cd6a4ad5b7b89be81">&#9670;&nbsp;</a></span>I2C_STO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_STO&#160;&#160;&#160;0x04</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >I2C STOP bit value </p>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00034">34</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
